org.eclipse.gef4.zest.core.widgets

## Interface ILabeledFigure

All Superinterfaces:
  org.eclipse.draw2d.IFigure

    public interface ILabeledFigure
    extends org.eclipse.draw2d.IFigure

Marks a figure that allows being configured with a text and icon through a `GraphNode` from the model.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Method Summary

Methods
`Image` `getIcon()` Get the label icon.
`java.lang.String` `getText()` Get the label text.
`void` `setIcon(Image icon)` Set the label icon.
`void` `setText(java.lang.String text)` Set the label text.

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Method Detail

#### setText

    void setText(java.lang.String text)

Set the label text. If needed, the figure should adjust its size.

Parameters:
  `text` - the text

#### getText

    java.lang.String getText()

Get the label text.

Returns:
  the label text

#### setIcon

    void setIcon(Image icon)

Set the label icon. If needed, the figure should adjust its size.

Parameters:
  `icon` - the icon image or `null` for no icon

#### getIcon

    Image getIcon()

Get the label icon.

Returns:
  the icon image